# ACEXML_LocatorImpl Class Reference

ACEXML_LocatorImpl is an implementation of ACEXML_Locator. More...

`#include <ACEXML/common/LocatorImpl.h>`

Inheritance diagram for ACEXML_LocatorImpl:

[legend]
Collaboration diagram for ACEXML_LocatorImpl:

[legend]
List of all members.

## Public Member Functions

| ACEXML_LocatorImpl (void)
| ACEXML_LocatorImpl (const ACEXML_Char *systemId, const ACEXML_Char *publicId)
| ACEXML_LocatorImpl (const ACEXML_Locator &locator)
virtual | ~ACEXML_LocatorImpl (void)
virtual int | getColumnNumber (void) const
virtual int | getLineNumber (void) const
virtual const ACEXML_Char * | getPublicId (void) const
virtual const ACEXML_Char * | getSystemId (void) const
void | setColumnNumber (int cn)
void | setLineNumber (int ln)
void | setPublicId (const ACEXML_Char *id)
void | setSystemId (const ACEXML_Char *id)
void | incrLineNumber ()
void | incrColumnNumber ()
void | reset (void)

## Private Attributes

ACEXML_Char * | publicId_
ACEXML_Char * | systemId_
int | lineNumber_
int | columnNumber_

## Detailed Description

ACEXML_LocatorImpl is an implementation of ACEXML_Locator.

This class is available mainly for application writers, who can use it to make a persistent snapshot of a locator at any point during a document parse:

       ACEXML_Locator locator;
       ACEXML_Locator startloc;

       public void setLocator (ACEXML_Locator locator)
       {
          // note the locator
          this.locator = locator;
       }

       public void startDocument ()
       {
          // save the location of the start of the document
          // for future use.
          ACEXML_Locator startloc = new ACEXML_LocatorImpl(locator);
       }

Normally, parser writers will not use this class, since it is more efficient to provide location information only when requested, rather than constantly updating a Locator object.

Todo:
  ACEXML parser doesn't support the use of Locator yet.

See also:
  ACEXML_Locator

## Constructor & Destructor Documentation

ACEXML_LocatorImpl::ACEXML_LocatorImpl | ( | void |  | ) |

ACEXML_LocatorImpl::ACEXML_LocatorImpl | ( | const ACEXML_Char * | systemId,
|  | const ACEXML_Char * | publicId
| ) |

| Construct a locator with systemId and publicId

ACEXML_LocatorImpl::ACEXML_LocatorImpl | ( | const ACEXML_Locator & | locator | ) |

| Copy constructor. Create a persistent copy of the current state of a locator. When the original locator changes, this copy will still keep the original values (and it can be used outside the scope of DocumentHandler methods).

ACEXML_LocatorImpl::~ACEXML_LocatorImpl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

ACEXML_INLINE int ACEXML_LocatorImpl::getColumnNumber | ( | void |  | ) | const`[virtual]`

| Implements ACEXML_Locator.

ACEXML_INLINE int ACEXML_LocatorImpl::getLineNumber | ( | void |  | ) | const`[virtual]`

| Implements ACEXML_Locator.

ACEXML_INLINE const ACEXML_Char * ACEXML_LocatorImpl::getPublicId | ( | void |  | ) | const`[virtual]`

| Implements ACEXML_Locator.

ACEXML_INLINE const ACEXML_Char * ACEXML_LocatorImpl::getSystemId | ( | void |  | ) | const`[virtual]`

| Implements ACEXML_Locator.

ACEXML_INLINE void ACEXML_LocatorImpl::incrColumnNumber | ( |  | ) |

ACEXML_INLINE void ACEXML_LocatorImpl::incrLineNumber | ( |  | ) |

void ACEXML_LocatorImpl::reset | ( | void |  | ) |

ACEXML_INLINE void ACEXML_LocatorImpl::setColumnNumber | ( | int | cn | ) |

ACEXML_INLINE void ACEXML_LocatorImpl::setLineNumber | ( | int | ln | ) |

ACEXML_INLINE void ACEXML_LocatorImpl::setPublicId | ( | const ACEXML_Char * | id | ) |

ACEXML_INLINE void ACEXML_LocatorImpl::setSystemId | ( | const ACEXML_Char * | id | ) |

## Member Data Documentation

int ACEXML_LocatorImpl::columnNumber_ `[private]`

int ACEXML_LocatorImpl::lineNumber_ `[private]`

ACEXML_Char* ACEXML_LocatorImpl::publicId_ `[private]`

ACEXML_Char* ACEXML_LocatorImpl::systemId_ `[private]`

The documentation for this class was generated from the following files:

- LocatorImpl.h
- LocatorImpl.cpp
- LocatorImpl.i